ru.bitel.bgbilling.kernel.network.radius

## Class RadiusAttribute.RadiusAttributeAbinary

- java.lang.Object
- - ru.bitel.bgbilling.kernel.network.tlv.Tlv<RadiusAttributeInfo<V>,V>
  - - ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute<java.lang.String>
    - - ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute.RadiusAttributeAbinary

- Enclosing class:
    RadiusAttribute<V>

      public static class RadiusAttribute.RadiusAttributeAbinary
      extends RadiusAttribute<java.lang.String>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute

      `RadiusAttribute.RadiusAttributeAbinary, RadiusAttribute.RadiusAttributeInteger, RadiusAttribute.RadiusAttributeIpAddr, RadiusAttribute.RadiusAttributeString`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute

      `tag`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.network.tlv.Tlv

      `data, info, length, value`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `RadiusAttributeAbinary(int vendor, int type, java.nio.ByteBuffer data)`
    `` | `RadiusAttributeAbinary(int vendor, int type, int tag, java.nio.ByteBuffer data)`
    `` | `RadiusAttributeAbinary(int vendor, int type, int tag, java.lang.String data)`
    `` | `RadiusAttributeAbinary(int vendor, int type, java.lang.String data)`
    `protected` | `RadiusAttributeAbinary(RadiusAttributeInfo<java.lang.String> info, int tag, java.nio.ByteBuffer data)`
    `protected` | `RadiusAttributeAbinary(RadiusAttributeInfo<java.lang.String> info, int tag, java.lang.String data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `RadiusAttribute.RadiusAttributeAbinary` | `clone()`
    `java.lang.String` | `getStringValue()` Deprecated. use `Tlv.getValue()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute

      `equals, getTag, toString, toString, write`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.network.tlv.Tlv

      `getData, getDataAsByteArray, getLength, getValue`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RadiusAttributeAbinary

          protected RadiusAttributeAbinary(RadiusAttributeInfo<java.lang.String> info,
                                           int tag,
                                           java.nio.ByteBuffer data)

    - #### RadiusAttributeAbinary

          protected RadiusAttributeAbinary(RadiusAttributeInfo<java.lang.String> info,
                                           int tag,
                                           java.lang.String data)

    - #### RadiusAttributeAbinary

          public RadiusAttributeAbinary(int vendor,
                                        int type,
                                        java.nio.ByteBuffer data)

    - #### RadiusAttributeAbinary

          public RadiusAttributeAbinary(int vendor,
                                        int type,
                                        java.lang.String data)

    - #### RadiusAttributeAbinary

          public RadiusAttributeAbinary(int vendor,
                                        int type,
                                        int tag,
                                        java.nio.ByteBuffer data)

    - #### RadiusAttributeAbinary

          public RadiusAttributeAbinary(int vendor,
                                        int type,
                                        int tag,
                                        java.lang.String data)

  - ### Method Detail

    - #### getStringValue

          @Deprecated
          public java.lang.String getStringValue()

      Deprecated. use `Tlv.getValue()`
      Для обратной совместимости
      Returns:

    - #### clone

          public RadiusAttribute.RadiusAttributeAbinary clone()

      Overrides:
        `clone` in class `RadiusAttribute<java.lang.String>`